#include <windows.h>

#include "vn_version.h"

// DLL version information.
VS_VERSION_INFO    VERSIONINFO
FILEVERSION        VN_SDK_VERSION_MAJOR,VN_SDK_VERSION_MINOR,VN_SDK_VERSION_PATCH,0
PRODUCTVERSION     VN_SDK_VERSION_MAJOR,VN_SDK_VERSION_MINOR,VN_SDK_VERSION_PATCH,0
FILEFLAGSMASK      VS_FFI_FILEFLAGSMASK
#ifdef _DEBUG
  FILEFLAGS        VS_FF_DEBUG | VS_FF_PRERELEASE
#else
  FILEFLAGS        0
#endif
FILEOS             VOS_NT_WINDOWS32
FILETYPE           VFT_DLL
FILESUBTYPE        VFT2_UNKNOWN
BEGIN
  BLOCK "StringFileInfo"
  BEGIN
    BLOCK "080904b0"
    BEGIN
      VALUE "CompanyName", "VideoNEXT"
      VALUE "FileDescription", "VideoNEXT Media SDK"
      VALUE "FileVersion", VN_SDK_VERSION_STR
      VALUE "InternalName", "VNSDK"
      VALUE "LegalCopyright", "2015 VideoNEXT"
      VALUE "OriginalFilename", "VNMediaClient.dll"
      VALUE "ProductName", "VideoNEXT Media SDK Library"
      VALUE "ProductVersion", VN_SDK_VERSION_STR
    END
  END
  BLOCK "VarFileInfo"
  BEGIN
    VALUE "Translation", 0x809, 1200
  END
END
